#pragma once

#include "CoreMinimal.h"
#include "CoreBaseUserWidget.h"
#include "OnStoreStateChanged.h"
#include "CoreStoreBaseTabWidget.generated.h"

UCLASS(Blueprintable, Abstract, EditInlineNew)
class DBDUIVIEWSCORE_API UCoreStoreBaseTabWidget : public UCoreBaseUserWidget
{
	GENERATED_BODY()

public:
	UPROPERTY(BlueprintReadWrite, BlueprintAssignable, BlueprintCallable)
	FOnStoreStateChanged OnStoreStateChangedDelegate;

public:
	UFUNCTION(BlueprintCallable, BlueprintImplementableEvent)
	void OnShow();

public:
	UCoreStoreBaseTabWidget();
};

FORCEINLINE uint32 GetTypeHash(const UCoreStoreBaseTabWidget) { return 0; }
